#include <bits/stdc++.h>
using namespace std;
vector <vector <int>> matrix;
int n;
vector <int> rec (int x , int l , vector <int> p)
{
    l++;
    if (l > x+1)
        return 0;
    if (n == 0) and (l == n+1)
        return p;
    for (int i = 0 ; i < matrix[x].szize();i++)
    {
        rec (matrix[x][i] , l , p)
    }
}
int main() {
    cout << "NO";
}
